> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Events

> List audit events belonging to a specific system log export.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/systemlog/exports/{export_id}/events
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/systemlog/exports/{export_id}/events:
    post:
      tags:
        - System Log Exporter
      summary: List Events
      description: List audit events belonging to a specific system log export.
      operationId: c1.api.systemlog.v1.ExportService.ListEvents
      parameters:
        - in: path
          name: export_id
          required: true
          schema:
            description: The ID of the system log export whose events are being listed.
            readOnly: false
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.systemlog.v1.ExportServiceListEventsRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.systemlog.v1.ExportServiceListEventsResponse
          description: >-
            ExportServiceListEventsResponse is the response containing audit
            events for an export.
      x-codeSamples:
        - lang: go
          label: ListEvents
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.Export.ListEvents(ctx, operations.C1APISystemlogV1ExportServiceListEventsRequest{\n        ExportID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.ExportServiceListEventsResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.export.listEvents({
                exportId: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.systemlog.v1.ExportServiceListEventsRequestInput:
      description: >-
        ExportServiceListEventsRequest is the request for listing audit events
        within a specific export.
      properties:
        pageSize:
          description: The pageSize field.
          format: int32
          readOnly: false
          type: integer
        pageToken:
          description: The pageToken field.
          readOnly: false
          type: string
      title: Export Service List Events Request
      type: object
      x-speakeasy-name-override: ExportServiceListEventsRequest
    c1.api.systemlog.v1.ExportServiceListEventsResponse:
      description: >-
        ExportServiceListEventsResponse is the response containing audit events
        for an export.
      properties:
        list:
          description: List contains an array of JSON OCSF events.
          items:
            additionalProperties: true
            readOnly: false
            type: object
          nullable: true
          readOnly: false
          type: array
        nextPageToken:
          description: >-
            The token to retrieve the next page of results, or empty if there
            are no more results.
          readOnly: false
          type: string
      title: Export Service List Events Response
      type: object
      x-speakeasy-name-override: ExportServiceListEventsResponse
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````